Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040309
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2019-03-04 14:362019-05-08 10:23
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision9df381ec1641
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040309: can't generate javadoc with JDK 11.0.2

Descriptionant generate.java.doc task fails with JDK 11.0.2
Steps To ReproduceUsing JDK 11.0.2, run ant generate.java.doc

  ...
  [javadoc] javadoc: error - The code being documented uses modules but the packages defined in https://docs.oracle.com/javase/8/docs/api/ [^] are in the unnamed module.
  [javadoc] Standard Doclet version 11.0.2
  [javadoc] Building tree for all the packages and classes...
  [javadoc] Building index for all the packages and classes...
  [javadoc] Building index for all classes...
  [javadoc] Building index for all classes...
  [javadoc] Generating /home/alostale/ws/pi-pg/openbravo/docs/api/help-doc.html...
  [javadoc] 1 error

BUILD FAILED
/home/alostale/ws/pi-pg/openbravo/build.xml:539: Javadoc returned 1
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0038152 newplatform Fix more javadoc warnings active by default in JDK 9 
related to defect 0039139 closedshuehner In generated javadoc html all links to javadoc of java itself are broken 
depends on backport 00408083.0PR19Q1.2 closedalostale can't generate javadoc with JDK 11.0.2 

-  Notes
(0110193)
hgbot (developer)
2019-03-04 14:40

Repository: erp/devel/pi
Changeset: 9df381ec16412d7985a4be812dca37a216e5ef09
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 04 14:38:05 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9df381ec16412d7985a4be812dca37a216e5ef09 [^]

fixed bug 40309: can't generate javadoc with JDK 11.0.2

  Forcing source JDK 8 as it is still the minimum required.

---
M build.xml
---
(0110314)
caristu (developer)
2019-03-08 12:20

Code reviewed + tested OK.
(0110843)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0111557)
alostale (developer)
2019-05-08 10:22

reopening to create backport

- Issue History
Date Modified Username Field Change
2019-03-04 14:36 alostale New Issue
2019-03-04 14:36 alostale Assigned To => alostale
2019-03-04 14:36 alostale Modules => Core
2019-03-04 14:36 alostale Triggers an Emergency Pack => No
2019-03-04 14:39 alostale Review Assigned To => caristu
2019-03-04 14:40 hgbot Checkin
2019-03-04 14:40 hgbot Note Added: 0110193
2019-03-04 14:40 hgbot Status new => resolved
2019-03-04 14:40 hgbot Resolution open => fixed
2019-03-04 14:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9df381ec16412d7985a4be812dca37a216e5ef09 [^]
2019-03-08 12:17 caristu Relationship added related to 0038152
2019-03-08 12:18 caristu Relationship added related to 0039139
2019-03-08 12:20 caristu Note Added: 0110314
2019-03-08 12:20 caristu Status resolved => closed
2019-03-08 12:20 caristu Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110843
2019-05-08 10:22 alostale Note Added: 0111557
2019-05-08 10:22 alostale Status closed => new
2019-05-08 10:22 alostale Resolution fixed => open
2019-05-08 10:22 alostale Fixed in Version 3.0PR19Q2 =>
2019-05-08 10:22 alostale Status new => scheduled
2019-05-08 10:22 alostale Status scheduled => resolved
2019-05-08 10:22 alostale Resolution open => fixed
2019-05-08 10:23 alostale Status resolved => closed
2019-05-08 10:23 alostale Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker